Bug 254703 - devel/godot: actually stop using builtin libpng and zlib
Summary: devel/godot: actually stop using builtin libpng and zlib
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-01 22:06 UTC by Piotr Kubaj
Modified: 2021-04-12 19:31 UTC (History)
1 user (show)

See Also:
FreeBSD: maintainer-feedback+


Attachments
patch (523 bytes, patch)
2021-04-01 22:06 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2021-04-01 22:06:24 UTC
Created attachment 223758 [details]
patch

platform/x11/detect.py actually forces builtin libpng if builtin freetype or zlib is used.

Use the system ones.

This also fixes build on powerpc64le, since builtin libpng is not built with VSX.

The same issue affects devel/godot2.
Comment 1 Shane 2021-04-04 04:09:32 UTC
Looks good to me. I would only suggest breaking the long line.

devel/godot2 should have been deleted with py27 by now, no need to adjust it.
Comment 2 commit-hook freebsd_committer 2021-04-06 12:01:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=21173a4561118abf9578cb0a7320651cef6ab27c

commit 21173a4561118abf9578cb0a7320651cef6ab27c
Author:     Piotr Kubaj <pkubaj@FreeBSD.org>
AuthorDate: 2021-04-06 12:01:29 +0000
Commit:     Piotr Kubaj <pkubaj@FreeBSD.org>
CommitDate: 2021-04-06 12:01:29 +0000

    devel/godot: actually stop using builtin libpng

    platform/x11/detect.py actually forces builtin libpng if builtin freetype or zlib is used.

    Use the system ones.

    This also fixes build on powerpc64le, since builtin libpng is not built with VSX.

    PR:     254703
    Approved by: FreeBSD@ShaneWare.Biz (maintainer)

 devel/godot/Makefile | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)
Comment 3 commit-hook freebsd_committer 2021-04-12 19:31:57 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7bf077f8e2f461e29376068022378f27cc314aa0

commit 7bf077f8e2f461e29376068022378f27cc314aa0
Author:     Piotr Kubaj <pkubaj@FreeBSD.org>
AuthorDate: 2021-04-12 19:28:38 +0000
Commit:     Piotr Kubaj <pkubaj@FreeBSD.org>
CommitDate: 2021-04-12 19:28:38 +0000

    devel/godot2: stop using builtin libpng

    platform/x11/detect.py actually forces builtin libpng if builtin freetype or zlib is used.

    Use the system ones.

    This also fixes build on powerpc64le, since builtin libpng is not built with
    VSX.

    PR:     254703
    Approved by: FreeBSD@ShaneWare.Biz (maintainer)

 devel/godot2/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)